<?php
add_action( 'customize_register', 'themename_customize_register' );
function themename_customize_register($wp_customize) {
    // Logo upload
    $wp_customize->add_section( 'analogous_logo_section' , array(
	    'title'       => __( 'Logo', 'analogous' ),
	    'priority'    => 30,
	    'description' => 'Upload a logo to replace the default site name and description in the header',
	));
	$wp_customize->add_setting( 'analogous_logo', array(
		'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'analogous_logo', array(
		'label'    => __( 'Logo', 'analogous' ),
		'section'  => 'analogous_logo_section',
		'settings' => 'analogous_logo',
	)));
}
require get_template_directory() . '/inc/customizer.php';
//Set Content Width
if ( ! isset( $content_width ) ) $content_width = 900;
/**
 * Enqueue scripts and styles
 */
function theme_name_scripts() {
	wp_enqueue_style( 'style-name', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'theme_name_scripts' );
// Search Menu
add_filter('wp_nav_menu_items', 'add_analogous_search_form_to_menu', 10, 2);
function add_analogous_search_form_to_menu($items, $args) {
  if( !($args->theme_location == 'main') ) {
  	return $items;
  }
  return $items . '<li class="my-nav-menu-search">' . get_analogous_search_form(false) . '</li>';
}
// Add Your Menu Locations
function register_my_menus() {
  register_nav_menus(
    array('primary_navigation' => __( 'Primary Menu','analogous' ), 'secondary_navigation' => __( 'Secondary Menu','analogous' )) );
} 
add_action( 'init', 'register_my_menus' );
/* Register widgetized area and update sidebar with default widgets */
function analogous_sidebar_widgets_init() {
	register_sidebar( array(
		'name' => __( 'Main sidebar', 'analogous' ),
		'id' => 'side_bar',
		'description' => __( 'The main sidebar appears on the right on each page except the front page template', 'analogous' ),
		'before_widget' => '<div class="siderbar_widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3  class="sidebar_widget_title">',
		'after_title' => '</h3>',
	) );
}
function analogous_footer_widget1_init() {
	register_sidebar( array(
		'name' => __( 'Footer widget1', 'analogous' ),
		'id' => 'analogous_footer_widget1',
		'description' => __( 'The Footer Widget1 appears on the right on each page except the front page template', 'analogous' ),
		'before_widget' => '<div class="analogous_footer_widget2 analogous_footer_inner">',
		'after_widget' => '</div>',
		'before_title' => '<h4><span>',
		'after_title' => '</span></h4>',
	) );
}
function analogous_footer_widget2_init() {
	register_sidebar( array(
		'name' => __( 'Footer widget2', 'analogous' ),
		'id' => 'analogous_footer_widget2',
		'description' => __( 'The Footer Widget1 appears on the right on each page except the front page template', 'analogous' ),
		'before_widget' => '<div class="analogous_footer_widget3 analogous_footer_inner">',
		'after_widget' => '</div>',
		'before_title' => '<h4><span>',
		'after_title' => '</span></h4>',
	) );
	
	}
function analogous_footer_widget3_init() {
	register_sidebar( array(
		'name' => __( 'Footer widget3', 'analogous' ),
		'id' => 'analogous_footer_widget3',
		'description' => __( 'The Footer Widget1 appears on the right on each page except the front page template', 'analogous' ),
		'before_widget' => '<div class="analogous_footer_widget4 analogous_footer_inner">',
		'after_widget' => '</div>',
		'before_title' => '<h4><span>',
		'after_title' => '</span></h4>',
	) );
	
}
add_action( 'widgets_init', 'analogous_sidebar_widgets_init' );
add_action( 'widgets_init', 'analogous_footer_widget1_init' );
add_action( 'widgets_init', 'analogous_footer_widget2_init' );
add_action( 'widgets_init', 'analogous_footer_widget3_init' );
// Pagination
function numeric_posts_pagination() {
	if( is_singular() )
		return;
	global $wp_query;
	$big = 999999999; // need an unlikely integer
	echo '<div class="pagination_bar"><ul>' . "\n";
	echo paginate_links( array(
		'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
		'format' => '?paged=%#%',
		'current' => max(1, get_query_var('paged') ),
		'total' => $wp_query->max_num_pages,
		'show_all' => false,
		'prev_next' => True,
		'prev_text' => __('<< Previous','analogous'),
		'next_text' => __('Next >>','analogous')
	));
	echo '</ul></div>' . "\n";
}
/*--------------------------------------------add Theme setting Menu---------------------------------------------------------*/
add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' ); 
function theme_options_init(){
 register_setting( 'sample_options', 'sample_theme_options');
} 
function theme_options_add_page() {
 add_theme_page( __( 'Theme Options', 'analogous' ), __( 'Theme Options', 'analogous' ), 'edit_theme_options', 'theme_options', 'theme_settings_page' );
} 
function theme_options_do_page() { global $select_options; if ( ! isset( $_REQUEST['settings-updated'] ) ) $_REQUEST['settings-updated'] = false; }
/*//////////////////////////////////////////////// Addd theme option under appearence /////////////////////////////////////////////////////*/
function theme_settings_page()
{
	echo '<div class="wrap">  <h1>Theme Panel</h1>';
	echo '<form method="post" action="options.php">';
	settings_fields("section");
	do_settings_sections("theme-options");      
	submit_button(); 
	echo '</form></div>';
}
add_theme_support( 'title-tag' );
add_theme_support( 'post-thumbnails' );
add_theme_support( 'automatic-feed-links' ); 
add_filter( 'use_default_gallery_style', '__return_false' );
function display_twitter_element()
{
?>
<input type="text" name="twitter_url" id="twitter_url" value="<?php echo get_option('twitter_url'); ?>"  />
<?php
}
function display_facebook_element()
{
?>
<input type="text" name="facebook_url" id="facebook_url" value="<?php echo get_option('facebook_url'); ?>" />
<?php
}
function display_gplus_element()
{
?>
<input type="text" name="gplus_url" id="gplus_url" value="<?php echo get_option('gplus_url'); ?>" />
<?php
}
function display_dribble_element()
{
?>
<input type="text" name="dribble_url" id="dribble_url" value="<?php echo get_option('dribble_url'); ?>" />
<?php
}
function display_flicker_element()
{
?>
<input type="text" name="flicker_url" id="flicker_url" value="<?php echo get_option('flicker_url'); ?>" />
<?php
}
function display_blogger_element()
{
?>
<input type="text" name="blogger_url" id="blogger_url" value="<?php echo get_option('blogger_url'); ?>" />
<?php
}
function display_linkedin_element()
{
?>
<input type="text" name="linkedin_url" id="linkedin_url" value="<?php echo get_option('linkedin_url'); ?>" />
<?php
}
function display_pinterest_element()
{
?>
<input type="text" name="pinterest_url" id="pinterest_url" value="<?php echo get_option('pinterest_url'); ?>" />
<?php
}
function display_rss_element()
{
?>
<input type="text" name="rss_url" id="rss_url" value="<?php echo get_option('rss_url'); ?>" />
<?php
}
function display_youtube_element()
{
?>
<input type="text" name="youtube_url" id="youtube_url" value="<?php echo get_option('youtube_url'); ?>" />
<?php
}
function display_theme_panel_fields()
{
	add_settings_section("section", "All Settings", null, "theme-options");
	add_settings_field("twitter_url", "Twitter Profile Url", "display_twitter_element", "theme-options", "section");
    add_settings_field("facebook_url", "Facebook Profile Url", "display_facebook_element", "theme-options", "section");
	add_settings_field("gplus_url", "Google Plus Profile Url", "display_gplus_element", "theme-options", "section");
	add_settings_field("dribble_url", "Dribble Profile Url", "display_dribble_element", "theme-options", "section");
	add_settings_field("flicker_url", "Flicker Profile Url", "display_flicker_element", "theme-options", "section");
	add_settings_field("blogger_url", "Blogger Profile Url", "display_blogger_element", "theme-options", "section");
	add_settings_field("linkedin_url", "LinkedIn Profile Url", "display_linkedin_element", "theme-options", "section");
	add_settings_field("pinterest_url", "Pinterest Profile Url", "display_pinterest_element", "theme-options", "section");
	add_settings_field("rss_url", "RSS Profile Url", "display_rss_element", "theme-options", "section");
	add_settings_field("youtube_url", "Youtube Profile Url", "display_youtube_element", "theme-options", "section");
    register_setting("section", "twitter_url");
    register_setting("section", "facebook_url");
	register_setting("section", "gplus_url");
	register_setting("section", "dribble_url");
	register_setting("section", "github_url");
	register_setting("section", "instagram_url");
	register_setting("section", "linkedin_url");
	register_setting("section", "pinterest_url");
	register_setting("section", "rss_url");
	register_setting("section", "youtube_url");
}
add_action("admin_init", "display_theme_panel_fields");
/*  Add responsive container to embeds  */ 
function alx_embed_html( $html ) {
    return '<div class="video-container">' . $html . '</div>';
}
add_filter( 'embed_oembed_html', 'alx_embed_html', 10, 3 );
add_filter( 'video_embed_html', 'alx_embed_html' ); // Jetpack
function advanced_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
<div class="comment_box"> <span <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
  <div id="" class=" authorarea comments">
    <div class="comment_auth">
      <div class="author_img"> <?php echo get_avatar( get_the_author_meta( 'user_email' ), 70 ); ?> </div>
      <div class="author_info"> <a href="<?php $comment_author_url?>">
        <?php comment_author_link() ?>
        </a> says: 
        <!--<div<a href="<?php the_author_meta( 'user_url'); ?>"><?php printf(__('%s','analogous'), get_comment_author_link()) ?></a></div>-->
        <p class="small"><?php printf(__('%1$s at %2$s','analogous'), get_comment_date(),  get_comment_time()) ?>
          <?php edit_comment_link(__('(Edit)','analogous'),'  ','') ?>
        </p>
      </div>
    </div>
  </div>
  <?php if ($comment->comment_approved == '0') : ?>
  <em>
  <?php _e('Your comment is awaiting moderation.','analogous') ?>
  </em> <br />
  <?php endif; ?>
  <div class="comm_dec">
    <?php comment_text() ?>
    <p>
      <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
    </p>
  </div>
  </span> </div>
<?php } ?>