<!DOCTYPE html>
<!--[if lt IE 9]>
<html id="unsupported" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 9]>
<html id="ie9" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8) | !(IE 9)  ]>
<html <?php language_attributes(); ?>>
<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
// on single blog post pages with comments open and threaded comments
if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { 
    // enqueue the javascript that performs in-link comment reply fanciness
    wp_enqueue_script( 'comment-reply' ); 
}
wp_head();
?>
</head>
<body <?php body_class(); ?>>
<div class="analogous_page_container">
<!--Header container Start-->
<nav class="analogous-top-bar-menu">
  <div id="res_main_menu">
    <label for="show-main-menu" class="show-main-menu"><img src="<?php echo  get_template_directory_uri();?>/images/mainicon.png" /></label>
    <input type="checkbox" id="show-main-menu" role="button"/>
<?php 
	wp_nav_menu(array(
		'theme_location' => 'primary_navigation', // menu slug from step 1
		'container' => false, // 'div' container will not be added
		'menu_id' => 'menu-main', // <ul class="menu-main"> 
		'fallback_cb' => 'default_header_nav', // name of default function from step 2
	));
?>
  </div>
</nav>
<header class="analogous_header_container">
  <div class="analogous_wrapper header_wrap">
    <div class="analogous_logo_area">
      <?php if ( get_theme_mod( 'analogous_logo' ) ) : ?>
      <div class="analogous-title-logo"> <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo esc_url( get_theme_mod( 'analogous_logo' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a> </div>
      <?php else : ?>
      <div class="analogous-title-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
        <?php bloginfo( 'name' ); ?>
        </a></div>
      <div class="analogous-tagline">
        <?php bloginfo( 'description' ); ?>
      </div>
      <?php endif; ?>
    </div>
  </div>
</header>
<nav class="analogous-top-bar-menu-sec">
  <div id="res_main_menu-sec">
    <label for="show-main-menu-sec" class="show-main-menu-sec"><img src="<?php echo  get_template_directory_uri();?>/images/mainicon.png" /></label>
    <input type="checkbox" id="show-main-menu-sec" role="button"/>
    <?php 
	wp_nav_menu(array(
		'theme_location' => 'secondary_navigation', // menu slug from step 1
		'container' => false, // 'div' container will not be added
		'menu_id' => 'menu-main-sec', // <ul class="menu-main-sec"> 
		'fallback_cb' => 'default_header_nav', // name of default function from step 2
	));
?>
  </div>
</nav>